package wtf.opal.event.impl.game.player.interaction.block;

import net.fabricmc.api.EnvType;
import net.fabricmc.api.Environment;
import net.minecraft.block.BlockState;

@Environment(EnvType.CLIENT)
public final class BlockBreakCanHarvestEvent {
   private final BlockState blockState;
   private boolean canHarvest;

   public BlockBreakCanHarvestEvent(BlockState blockState, boolean canHarvest) {
      this.blockState = blockState;
      this.canHarvest = canHarvest;
   }

   public BlockState getBlockState() {
      return this.blockState;
   }

   public boolean isCanHarvest() {
      return this.canHarvest;
   }

   public void setCanHarvest(boolean canHarvest) {
      this.canHarvest = canHarvest;
   }
}
